> For the complete documentation index, see [llms.txt](https://docs.codemash.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.codemash.io/api/how-to-test.md).

# How to test?

### API versions

Discover our API at <https://api.codemash.io/swagger-ui/>

All of the API requests take in a version parameter. Developing CodeMash further may require us to change how requests are processed. To avoid breaking older functionality we introduced version parameters.

The following table displays currently available API method versions.

| v1               | 2019-10-21                        |
| ---------------- | --------------------------------- |
| v2               | 2020-05-18                        |
| v3 (In progress) | 2022-11-20 (expeted release date) |

### Open API & Swagger

Open API Initiative (OAI) is focused on creating, evolving, and promoting a vendor-neutral API Description Format based on the Swagger Specification.&#x20;

Open API is a specification and complete framework implementation for describing, producing, consuming, and visualizing RESTful web services. We implement the OpenAPI Spec back-end and embed the Swagger UI front-end so that you can try our API right out of the browser.

Swagger UI - [https://api.codemash.io/swagger-ui](https://api.codemash.io/swagger-ui/)

Open API - [https://api.codemash.io/openapi](https://api.codemash.io/openapi.json)

## Clients

We support integrations with well-known API clients like **Postman**, **Insomnia**, **curl,...**

### Postman

If you are working with the [Postman API Client](https://www.postman.com/product/api-client/) tool to send requests, inspect the response, and easily debug your API, you can also do so with CodeMash API.&#x20;

Near **My Workspace** press the "**Import**" button. See the image below.&#x20;

![](/files/WMgdpT6WEgzUGYlfQg0H)

Press the **Link** tab on the **Import** dialog screen and enter the <https://api.codemash.io/postman> URL.&#x20;

![](/files/-MQWDm5rBVdqcyqW2V6K)

When API collection is imported, you can test each REST API action separately.

![](/files/-MQWEZ1eSsvNzB-XiW4Z)

### Insomnia

If you are working with the [Insomnia](https://insomnia.rest/), Open Source API client, to send requests, inspect the response, and easily debug your API, you can also do so with CodeMash API.&#x20;

![](/files/DdRkl0WHuxCrqvtgy3jQ)

![](/files/nGXYVvj5UGomazt3OlfY)

### SDKs

Also, you can test CodeMash API using popular SDKs:

{% content-ref url="/pages/0evoEk87e7t5kPcCjWwd" %}
[Node.js](/sdk/node.js.md)
{% endcontent-ref %}

{% content-ref url="/pages/THc3SdvKnJiIUnUyeaxL" %}
[TypeScript](/sdk/typescript.md)
{% endcontent-ref %}

{% content-ref url="/pages/G2Tp8QdhK84cegH11o65" %}
[.NET](/sdk/net.md)
{% endcontent-ref %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.codemash.io/api/how-to-test.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
